-
-
- You can’t perform that action at this time.
-
-
-
-
-
-
-
-
-
-
-
-
- You signed in with another tab or window. Reload to refresh your session.
- You signed out in another tab or window. Reload to refresh your session.
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
- Press h to open a hovercard with more details.
-
-
-
- You can’t perform that action at this time.
-
-
-
-
-
-
-
-
-
-
-
-
- You signed in with another tab or window. Reload to refresh your session.
- You signed out in another tab or window. Reload to refresh your session.
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
- Press h to open a hovercard with more details.
-
-
-
-
-
-
+#!/bin/sh
+
+has_python="$(command -v python3)"
+has_git="$(command -v git)"
+has_sudo="$(command -v sudo)"
+has_pip="$(command -v pip3)"
+
+set -e
+
+if ! { [ -x "$has_python" ] && [ -x "$has_pip" ] && [ -x "$has_git" ]; }; then
+ echo "Installing apt dependencies..."
+ if ! [ -x "$has_sudo" ]; then
+ apt update
+ apt install -y python3 python3-pip git
+ rm -rf /var/lib/apt/lists/*
+ else
+ sudo apt update
+ sudo apt install -y python3 python3-pip git
+ sudo rm -rf /var/lib/apt/lists/*
+ fi
+fi
+
+echo "Installing pip dependencies..."
+pip3 install PyYaml beautifulsoup4
+
+cd $1
+
+echo "Running changelog script..."
+python3 tools/ss13_genchangelog.py html/changelog.html html/changelogs
+
+echo "Committing changes..."
+git add html
+
+#we now don't care about failures
+set +e
+git commit -m "Automatic changelog compile, [ci skip]"
+exit 0
diff --git a/tools/travis/build_byond.sh b/tools/travis/build_byond.sh
index ec6f53b89c..3a7e00df29 100755
--- a/tools/travis/build_byond.sh
+++ b/tools/travis/build_byond.sh
@@ -5,19 +5,23 @@ set -e
shopt -s globstar
if [ "$BUILD_TOOLS" = false ]; then
- if grep '"aaa" = \(.+\)' _maps/**/*.dmm; then
+ if grep -E '^\".+\" = \(.+\)' _maps/**/*.dmm; then
echo "Non-TGM formatted map detected. Please convert it using Map Merger!"
exit 1
fi;
+ if grep -P '^\ttag = \"icon' _maps/**/*.dmm; then
+ echo "tag vars from icon state generation detected in maps, please remove them."
+ exit 1
+ fi;
if grep 'step_[xy]' _maps/**/*.dmm; then
- echo "step_[xy] variables detected in maps, please remove them."
+ echo "step_x/step_y variables detected in maps, please remove them."
exit 1
fi;
if grep 'pixel_[xy] = 0' _maps/**/*.dmm; then
- echo "pixel_[xy] = 0 detected in maps, please review to ensure they are not dirty varedits."
+ echo "pixel_x/pixel_y = 0 variables detected in maps, please review to ensure they are not dirty varedits."
fi;
- if grep '\td[1-2] =' _maps/**/*.dmm; then
- echo "d[1-2] cable variables detected in maps, please remove them."
+ if grep -P '\td[1-2] =' _maps/**/*.dmm; then
+ echo "d1/d2 cable variables detected in maps, please remove them."
exit 1
fi;
if grep '^/area/.+[\{]' _maps/**/*.dmm; then
@@ -47,7 +51,7 @@ if [ "$BUILD_TOOLS" = false ]; then
else
tools/travis/dm.sh -DTRAVISBUILDING tgstation.dme
- sh tools/deploy.sh travis_test
+ tools/deploy.sh travis_test
mkdir travis_test/config
#test config